{% extends 'base.html.twig' %}

{% block header %}
    {% set shelfUrl = path('shelf', [], false) %}
    <nav class="navbar">
        <div class="pb-2">

            <a style="color: #c4c4c4" class="navbar-brand" href="{{ path('landing') }}">
                {# <img src="{{ asset('build/logo.png') }}" width="60" height="30" class="d-inline-block align-top" alt="logo"> #}
                <img src="{{ asset('build/new_logo.png') }}" class="d-inline-block align-top logo" alt="logo">
                <div class="slogan"><span class="slogan_span">Закрой глаза и нюхай бебру</span></div>
            </a>
            <svg style="    width: 60px;
            display: block;
    height: 17px;
    fill: #eaf1ef;" viewBox="0 0 971 266"><path d="M0 8.667v8h970.667v-16H0v8zM894.533 68.8c-18.8 2.667-35.066 13.333-46.666 30.667-12.8 19.2-12.534 50.533.8 70.133 13.333 19.733 32.533 30.133 55.466 30.001 18 0 31.6-5.468 44.8-18.001 14.134-13.333 20.534-28.133 20.534-47.6 0-19.467-6.4-34.267-20.534-47.6-15.2-14.4-34-20.4-54.4-17.6zM912 84.667c27.867 5.333 46 30.4 41.333 56.933-3.866 22.267-19.333 37.6-42.133 41.867-19.733 3.6-42.267-7.867-51.733-26.534-14.8-29.2 1.2-63.866 33.2-71.733 8.533-2.133 10.8-2.133 19.333-.533zm-912-6.8V86h62.4c60.133 0 62.4.133 66.667 2.667 9.733 6 12.133 21.866 4.533 30.8-6.533 7.866-6.533 7.866-72.933 7.866H0V142h63.067c58.666 0 63.333.133 67.6 2.533 13.866 7.2 14.4 26.667 1.066 34.8-4.266 2.534-6.933 2.667-68 2.667H0v16.133l65.067-.4c62.8-.4 65.2-.533 71.066-3.2 13.867-6.4 21.467-18 21.467-32.8 0-9.333-4.8-20.4-11.2-25.733l-4.133-3.467 3.333-3.6c12.667-13.466 11.6-35.333-2.4-48.266-11.2-10.4-8.133-10-79.467-10.4L0 69.867v8zM230.667 134v64h16V70h-16v64zM324 77.867V86h62.4c60.133 0 62.4.133 66.667 2.667 9.733 6 12.133 21.866 4.533 30.8-6.533 7.866-6.533 7.866-72.933 7.866H324V142h63.067c58.666 0 63.333.133 67.6 2.533 13.866 7.2 14.4 26.667 1.066 34.8-4.266 2.534-6.933 2.667-68 2.667H324v16.133l65.067-.4c62.8-.4 65.2-.533 71.066-3.2 13.867-6.4 21.467-18 21.467-32.8 0-9.333-4.8-20.4-11.2-25.733l-4.133-3.467 3.333-3.6c12.667-13.466 11.6-35.333-2.4-48.266-11.2-10.4-8.133-10-79.467-10.4l-63.733-.4v8zM554.667 134v64h128v-16h-112V70h-16v64zm194.666 0v64h16V70h-16v64zM0 258v8h970.667v-16H0v8z" fill-rule="nonzero"></path></svg>

        </div>
        <div class="btn-group mb-3 dropleft">
            <button class="btn btn-outline-success btn dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Меню
            </button>
            <div class="dropdown-menu">
                <a class="dropdown-item" href="{{ path('genres') }}">Жанры</a>
                <a class="dropdown-item" href="{{ path('authors') }}">Авторы</a>
                <a class="dropdown-item" href="{{ path('performers') }}">Чтецы</a>
                <div class="dropdown-divider"></div>
                {% if app.user %}
                    <a class="dropdown-item"  href="{{ path('purchased') }}">Купленные книги</a>
                    <a class="dropdown-item" href="{{ path('app_logout') }}">Выйти</a>
                {% else %}
                    <a class="dropdown-item" href="{{ path('app_login') }}">Войти</a>
                {% endif %}
                <a class="dropdown-item" id="shelf" onclick="myFunction()"  data-content={{ shelfUrl }}>Продолжить прослушивание</a>
            </div>
        </div>
        {{ render(controller(
            'App\\Controller\\HomepageController::search'
        )) }}
    </nav>


{% endblock %}

{% block footer %}
    <div class="container">
        <div class="footer-body">
            <div class="footer-logo">
                <img src="{{ asset('build/footerLogo.png') }}" class="footer-logo" alt="footer-logo">
            </div>
            <div class="footer-body-info">
                <div class="footer-text">
                    <span class="footer-text-span">Kot Begemot</span>
                    <span> - аудиокниги слушать бесплатно онлайн или скачать</span>
                </div>
                <div class="footer-text">
                    <span>Все материалы представлены только для ознакомления.</span>
                </div>
            </div>
        </div>
        <div class="copyright">
            <a class="copyright-btn black-button" href="{{ path('copy') }}">Правообладателям</a>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script>
      function encodeQueryData(data) {
        const ret = [];
        for (let d in data)
          ret.push(encodeURIComponent(d) + '=' + encodeURIComponent(data[d]));
        return ret.join('&');
      }

      function myFunction() {
        let ids = Object.entries(localStorage).map(function (el) {
          return el.shift()
        })

        window.location.href = $("#shelf").attr('data-content') + "?" + encodeQueryData({"books": ids})


        // console.log()
      }

    </script>
{% endblock %}
